Data Category Search (deprecated)

POST Search Categories

POST /category_search

Operation ID: Search Categories. Tags: category_search. Security: oauth2_application.

Searches for catalog categories anywhere they appear.

By default, the server also returns the first level of subcategories, but you can specify another level by setting the levels parameter. Please note, using a large value for levels may cause performance issues in case of a large and deep category tree.

The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:

  • id - String

  • name - String

  • description - String

  • creation_date - DateTime

  • online - Boolean

  • catalog_id - String

The output of the query can also be sorted. These are the list of sortable attributes:

  • id - String

  • name - String

  • description - String

  • creation_date - DateTime

  • online - Boolean

  • position - Double

This endpoint may return the following faults:

  • 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.

Parameters

  • levels (query, integer (int32))
    Minimum: 0.

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 400 MalformedSearchParameterException - Thrown if the query is ill-formed.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: category_search_result.